alter table if exists failure drop constraint if exists FKtfyqcirrw3k6mbq0am6rct71j;
alter table if exists failure drop constraint if exists FKqnm40e72a7nsck1tkn60vthge;
alter table if exists failure_vulnerability drop constraint if exists FKgtwpaat14999gj8gxhxa3fq0h;
alter table if exists failure_vulnerability drop constraint if exists FKbvu6830x2c3jtktk981p5vr6c;
alter table if exists vulnerablestate_vulnerability drop constraint if exists FKc1bcoi0y4p5uuaia65iyjpfau;
alter table if exists vulnerablestate_vulnerability drop constraint if exists FKd2n6r6o6j34wqqpys5afjwpev;
drop table if exists failure cascade;
drop table if exists failure_vulnerability cascade;
drop table if exists vulnerability cascade;
drop table if exists vulnerablestate cascade;
drop table if exists vulnerablestate_vulnerability cascade;
create table failure (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, failure_id bigint, vulnerablestate_id bigint, primary key (id));
create table failure_vulnerability (failure_id bigint not null, vulnerability_id bigint not null, primary key (failure_id, vulnerability_id));
create table vulnerability (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, primary key (id));
create table vulnerablestate (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, primary key (id));
create table vulnerablestate_vulnerability (vulnerablestate_id bigint not null, vulnerability_id bigint not null, primary key (vulnerablestate_id, vulnerability_id));
alter table if exists failure add constraint UK_ony1o27biyjqnl8sacj9r22k2 unique (external_id);
alter table if exists failure add constraint UK_hi247nn9fcnmt9aekyey1y0vs unique (internal_id);
alter table if exists vulnerability add constraint UK_kqjgcbh7qm9fjcgh7nvimj0if unique (external_id);
alter table if exists vulnerability add constraint UK_9yokr2nufe9fe75mwmn309o unique (internal_id);
alter table if exists vulnerablestate add constraint UK_bsfeugmwlnh9vtl8px9mlr1sr unique (external_id);
alter table if exists vulnerablestate add constraint UK_susgfu4xbwljm2mbsxevq9m5g unique (internal_id);
alter table if exists failure add constraint FKtfyqcirrw3k6mbq0am6rct71j foreign key (failure_id) references failure;
alter table if exists failure add constraint FKqnm40e72a7nsck1tkn60vthge foreign key (vulnerablestate_id) references vulnerablestate;
alter table if exists failure_vulnerability add constraint FKgtwpaat14999gj8gxhxa3fq0h foreign key (vulnerability_id) references vulnerability;
alter table if exists failure_vulnerability add constraint FKbvu6830x2c3jtktk981p5vr6c foreign key (failure_id) references failure;
alter table if exists vulnerablestate_vulnerability add constraint FKc1bcoi0y4p5uuaia65iyjpfau foreign key (vulnerability_id) references vulnerability;
alter table if exists vulnerablestate_vulnerability add constraint FKd2n6r6o6j34wqqpys5afjwpev foreign key (vulnerablestate_id) references vulnerablestate;
alter table if exists failure drop constraint if exists FKtfyqcirrw3k6mbq0am6rct71j;
alter table if exists failure drop constraint if exists FKqnm40e72a7nsck1tkn60vthge;
alter table if exists failure_vulnerability drop constraint if exists FKgtwpaat14999gj8gxhxa3fq0h;
alter table if exists failure_vulnerability drop constraint if exists FKbvu6830x2c3jtktk981p5vr6c;
alter table if exists vulnerablestate_vulnerability drop constraint if exists FKc1bcoi0y4p5uuaia65iyjpfau;
alter table if exists vulnerablestate_vulnerability drop constraint if exists FKd2n6r6o6j34wqqpys5afjwpev;
drop table if exists failure cascade;
drop table if exists failure_vulnerability cascade;
drop table if exists vulnerability cascade;
drop table if exists vulnerablestate cascade;
drop table if exists vulnerablestate_vulnerability cascade;
create table failure (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, failure_id bigint, vulnerablestate_id bigint, primary key (id));
create table failure_vulnerability (failure_id bigint not null, vulnerability_id bigint not null, primary key (failure_id, vulnerability_id));
create table vulnerability (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, primary key (id));
create table vulnerablestate (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, primary key (id));
create table vulnerablestate_vulnerability (vulnerablestate_id bigint not null, vulnerability_id bigint not null, primary key (vulnerablestate_id, vulnerability_id));
alter table if exists failure add constraint UK_ony1o27biyjqnl8sacj9r22k2 unique (external_id);
alter table if exists failure add constraint UK_hi247nn9fcnmt9aekyey1y0vs unique (internal_id);
alter table if exists vulnerability add constraint UK_kqjgcbh7qm9fjcgh7nvimj0if unique (external_id);
alter table if exists vulnerability add constraint UK_9yokr2nufe9fe75mwmn309o unique (internal_id);
alter table if exists vulnerablestate add constraint UK_bsfeugmwlnh9vtl8px9mlr1sr unique (external_id);
alter table if exists vulnerablestate add constraint UK_susgfu4xbwljm2mbsxevq9m5g unique (internal_id);
alter table if exists failure add constraint FKtfyqcirrw3k6mbq0am6rct71j foreign key (failure_id) references failure;
alter table if exists failure add constraint FKqnm40e72a7nsck1tkn60vthge foreign key (vulnerablestate_id) references vulnerablestate;
alter table if exists failure_vulnerability add constraint FKgtwpaat14999gj8gxhxa3fq0h foreign key (vulnerability_id) references vulnerability;
alter table if exists failure_vulnerability add constraint FKbvu6830x2c3jtktk981p5vr6c foreign key (failure_id) references failure;
alter table if exists vulnerablestate_vulnerability add constraint FKc1bcoi0y4p5uuaia65iyjpfau foreign key (vulnerability_id) references vulnerability;
alter table if exists vulnerablestate_vulnerability add constraint FKd2n6r6o6j34wqqpys5afjwpev foreign key (vulnerablestate_id) references vulnerablestate;
